> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.polytomic.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server.

# Create Record View Link With Service

POST https://app.polytomic.com/api/record-view-links
Content-Type: application/json

Creates a short-lived capability link for viewing one stored record snapshot.

Reference: https://apidocs.polytomic.com/api-reference/record-view-links/create

## Authentication

- `Authorization` header (bearer token, required) — Bearer user API key
- `Authorization` header (basic auth, required) — Basic organization-scoped API key

## Request

### Headers

- `X-Polytomic-Harbor-Session` (string, optional)
- `X-Polytomic-Activity-Request-ID` (string, optional)

### Body (application/json)

This endpoint expects a CreateRecordViewLinkRequest.

- `connection_id` (string, required) — Connection containing the record.
- `lookup_key_field` (string, required) — The schema lookup-key field used to identify the record. V1 only accepts the schema's single effective primary key.
- `lookup_key_value` (string, required) — The lookup-key value for the record.
- `schema_id` (string, required) — Schema containing the record.
- `expires_at` (datetime, optional, nullable) — Optional expiry timestamp. Defaults to 72 hours and cannot exceed 7 days.
- `fields` (list of string, optional) — Optional field IDs to include. If omitted, all eligible readable fields are included.
- `source` (string, optional) — Optional creator/source label.

## Response

### 200

OK

- `data` (CreateRecordViewLinkResponse, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 403 Forbidden Error

Forbidden

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 404 Not Found Error

Not Found

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 409 Conflict Error

Conflict

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 500 Internal Server Error

Internal Server Error

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 503 Service Unavailable Error

Service Unavailable

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

## Types

### CreateRecordViewLinkResponse

- `created_at` (datetime, optional) — Link creation timestamp.
- `expires_at` (datetime, optional) — Link expiry timestamp.
- `id` (string, optional) — Record-view link identifier.
- `url` (string, optional) — One-time returned viewer URL containing the raw bearer token.

## Examples

**Request**

```json
{
  "connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
  "lookup_key_field": "string",
  "lookup_key_value": "string",
  "schema_id": "string"
}
```

**Response**

```json
{
  "data": {
    "created_at": "2024-01-15T09:30:00Z",
    "expires_at": "2024-01-15T09:30:00Z",
    "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "url": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://app.polytomic.com/api/record-view-links"

payload = {
    "connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "lookup_key_field": "string",
    "lookup_key_value": "string",
    "schema_id": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.polytomic.com/api/record-view-links';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"connection_id":"248df4b7-aa70-47b8-a036-33ac447e668d","lookup_key_field":"string","lookup_key_value":"string","schema_id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.polytomic.com/api/record-view-links"

	payload := strings.NewReader("{\n  \"connection_id\": \"248df4b7-aa70-47b8-a036-33ac447e668d\",\n  \"lookup_key_field\": \"string\",\n  \"lookup_key_value\": \"string\",\n  \"schema_id\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.polytomic.com/api/record-view-links")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"connection_id\": \"248df4b7-aa70-47b8-a036-33ac447e668d\",\n  \"lookup_key_field\": \"string\",\n  \"lookup_key_value\": \"string\",\n  \"schema_id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.polytomic.com/api/record-view-links")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"connection_id\": \"248df4b7-aa70-47b8-a036-33ac447e668d\",\n  \"lookup_key_field\": \"string\",\n  \"lookup_key_value\": \"string\",\n  \"schema_id\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.polytomic.com/api/record-view-links', [
  'body' => '{
  "connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
  "lookup_key_field": "string",
  "lookup_key_value": "string",
  "schema_id": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.polytomic.com/api/record-view-links");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"connection_id\": \"248df4b7-aa70-47b8-a036-33ac447e668d\",\n  \"lookup_key_field\": \"string\",\n  \"lookup_key_value\": \"string\",\n  \"schema_id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
  "lookup_key_field": "string",
  "lookup_key_value": "string",
  "schema_id": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/record-view-links")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```